plugins {
    base
}

val myTestConf by configurations.creating

dependencies {
    myTestConf(project(":libOne"))
    myTestConf(project(":libTwo"))
}

tasks.register<Sync>("copyClassFiles") {
    destinationDir = layout.buildDirectory.asFile.get()
    dependsOn(myTestConf)
    myTestConf.filter { it.name.endsWith("jar") }.forEach {
        from(zipTree(it)) {
            exclude("META-INF/**")
            into("copy")
        }
    }
}